All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH jp/symlink-dirs] t6035-merge-dir-to-symlink depends on SYMLINKS prerequisite
@ 2009-08-09 15:35 Johannes Sixt
  0 siblings, 0 replies; only message in thread
From: Johannes Sixt @ 2009-08-09 15:35 UTC (permalink / raw)
  To: Junio C Hamano; +Cc: Git Mailing List

Signed-off-by: Johannes Sixt <j6t@kdbg.org>
---
  t/t6035-merge-dir-to-symlink.sh |    6 ++++++
  1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/t/t6035-merge-dir-to-symlink.sh b/t/t6035-merge-dir-to-symlink.sh
index a0ddf1e..5b96fb0 100755
--- a/t/t6035-merge-dir-to-symlink.sh
+++ b/t/t6035-merge-dir-to-symlink.sh
@@ -3,6 +3,12 @@
  test_description='merging when a directory was replaced with a symlink'
  . ./test-lib.sh

+if ! test_have_prereq SYMLINKS
+then
+	say 'Symbolic links not supported, skipping tests.'
+	test_done
+fi
+
  test_expect_success 'create a commit where dir a/b changed to symlink' '
  	mkdir -p a/b/c a/b-2/c &&
  	> a/b/c/d &&
-- 
1.6.4.1026.g2deb5

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2009-08-09 15:35 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-08-09 15:35 [PATCH jp/symlink-dirs] t6035-merge-dir-to-symlink depends on SYMLINKS prerequisite Johannes Sixt

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.